---
sidebar_label: Page.setDefaultTimeout
---

# Page.setDefaultTimeout() method

#### Signature:

```typescript
class Page {
  abstract setDefaultTimeout(timeout: number): void;
}
```

## Parameters

| Parameter | Type   | Description                   |
| --------- | ------ | ----------------------------- |
| timeout   | number | Maximum time in milliseconds. |

**Returns:**

void
